### Class

# AppStreamCompose Hint

#### Description

    class AppStreamCompose.Hint : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### asc_hint_new_for_tag

Creates a new `AscHint` with the given tag. If the selected tag was not registered+ with the global tag registry, `NULL` is returned and an error is set.

since: 0.14.0

#### Instance methods

###### asc_hint_add_explanation_var

Add a replacement variable for the explanation text.

since: 0.13.0

###### asc_hint_format_explanation

Formats the explanation template to return a human-readable issue hint explanation, with all placeholder variables replaced.

since: 0.13.0

###### asc_hint_format_explanation_plain

Formats the explanation template like %asc_hint_format_explanation does, but resolves all markup of the template into plain text: emphasis is dropped, code spans are marked the way Markdown does, line breaks become actual line breaks, links are reduced to their text followed by the URL they point to, and escaped characters are unescaped.

since: 1.2.0

###### asc_hint_get_explanation_template

Gets the explanation template for this hint.

since: 0.13.0

###### asc_hint_get_explanation_vars_list

Returns a list with the flattened key/value pairs for this hint. Values are located in uneven list entries, following their keys in even list entries.

since: 0.14.0

###### asc_hint_get_severity

Gets the issue severity of this hint.

since: 0.13.0

###### asc_hint_get_tag

Gets the unique tag for the type of this hint.

since: 0.13.0

###### asc_hint_is_error

No description available.

since: 0.13.0

###### asc_hint_is_valid

Check if this hint is valid (it requires at least a tag and a severity in order to be considered valid).

since: 0.13.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamComposeHintClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.